diff -r 5875ba420a0e setup.cfg
--- a/setup.cfg	Wed Dec 14 15:00:41 2022 +0000
+++ b/setup.cfg	Tue May 16 23:58:25 2023 +0100
@@ -31,7 +31,7 @@
 install_requires = 
 	sqlparse
 	tabulate
-	importlib_metadata>=3.6.0
+	importlib_metadata>=3.6.0;python_version<'3.8'
 
 [options.package_data]
 yoyo = tests/migrations/*.py
diff -r 5875ba420a0e yoyo/backends/base.py
--- a/yoyo/backends/base.py	Wed Dec 14 15:00:41 2022 +0000
+++ b/yoyo/backends/base.py	Tue May 16 23:58:25 2023 +0100
@@ -19,15 +19,20 @@
 from itertools import count
 from logging import getLogger
 from typing import Dict
-from importlib_metadata import entry_points
 
 import getpass
 import os
 import pickle
 import socket
+import sys
 import time
 import uuid
 
+if sys.version_info >= (3, 8):
+    from importlib.metadata import entry_points
+else:
+    from importlib_metadata import entry_points
+
 from yoyo import exceptions
 from yoyo import internalmigrations
 from yoyo import utils
